"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.loadScript = exports.isBrowserWorker = exports.isBrowserMainThread = void 0;
exports.isBrowserMainThread = typeof window !== 'undefined';
exports.isBrowserWorker = typeof WorkerGlobalScope !== 'undefined' && self instanceof WorkerGlobalScope;
const loadScript = (src) => new Promise((resolve, reject) => {
    try {
        if (exports.isBrowserWorker) {
            importScripts(src);
            resolve();
        }
        else if (exports.isBrowserMainThread) {
            const script = document.createElement('script');
            script.onload = () => resolve();
            script.onerror = (a, b, c, d, error) => reject(error ?? new Error('SCRIPT_LOAD_ERROR'));
            script.src = src;
            document.head.appendChild(script);
        }
        else
            throw new Error('NOT_BROWSER');
    }
    catch (error) {
        reject(error);
    }
});
exports.loadScript = loadScript;
//# sourceMappingURL=util.js.map