"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tokenize_1 = require("./tokenize");
const constants_1 = require("@jsonjoy.com/reactive-rpc/lib/common/codec/compact/constants");
const util_1 = require("./util");
if (util_1.isBrowserWorker) {
    onmessage = (e) => {
        const msg = e.data;
        if (!Array.isArray(msg))
            return;
        if (msg[0] !== constants_1.CompactMessageType.RequestComplete)
            return;
        const [, id, method, params] = msg;
        try {
            (async () => {
                if (method !== 'highlight')
                    return;
                if (typeof params !== 'object')
                    return;
                const { code, lang } = params;
                if (typeof code !== 'string')
                    return;
                if (typeof lang !== 'string' && lang !== undefined)
                    return;
                const res = await (0, tokenize_1.tokenizeAsync)(code, lang ?? 'c');
                const response = [constants_1.CompactMessageType.ResponseComplete, id, res];
                postMessage(response);
            })().catch((error) => {
                const response = [constants_1.CompactMessageType.ResponseError, id, error];
                postMessage(response);
            });
        }
        catch (error) {
            const response = [constants_1.CompactMessageType.ResponseError, id, error];
            postMessage(response);
        }
    };
    const ready = [constants_1.CompactMessageType.Notification, 'ready'];
    postMessage(ready);
}
//# sourceMappingURL=worker.js.map